Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.ref
Class DocumentComparator

    java.lang.Object
      |
      +--com.bea.p13n.content.document.ref.DocumentComparator

public class DocumentComparator
extends java.lang.Object
implements java.util.Comparator

A comparator which can sort DocumentMetadataDefs according to a list of SortCriteria.

This will not be a fast comparator due to the nature of the objects it supports. It is recommended to try to get the database to do as much sorting as possible.

Since:
  2.0

Field Summary
`protected SortCriteria[]` | `criteria` The SortCriteria this uses.

Constructor Summary
`DocumentComparator(SortCriteria[] criteria)` Constructor.
`DocumentComparator(java.lang.String sortBy)` Constructor.

Method Summary
`int` | `compare(java.lang.Object obj1, java.lang.Object obj2)` Compare two DocumentMetadataDef objects according to the sort criteria.
`java.lang.String` | `toString()` Get a string representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### criteria

    protected SortCriteria[] criteria

  The SortCriteria this uses.

Constructor Detail

### DocumentComparator

    public DocumentComparator(SortCriteria[] criteria)

  Constructor.

### DocumentComparator

    public DocumentComparator(java.lang.String sortBy)
                       throws java.lang.IllegalArgumentException

  Constructor.

  Parameters:
    `sortBy` - the sort by string to use
  Throws:
    java.lang.IllegalArgumentException -
  See Also:
    `SortCriteria.getSortCriteria(java.lang.String)`

Method Detail

### compare

    public int compare(java.lang.Object obj1,
                       java.lang.Object obj2)
                throws java.lang.ClassCastException

  Compare two DocumentMetadataDef objects according to the sort criteria.
  Specified by:
    compare in interface java.util.Comparator

  Parameters:
    `obj1` - the first object.
    `obj2` - the second object.
  Returns:
    -1 if obj1 less than obj2, 0 if equals, 1 if greater than.
  Throws:
    java.lang.ClassCastException - thrown if either obj1 or obj2 is not a DocumentMetadataDef.

### toString

    public java.lang.String toString()

  Get a string representation.

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved